public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-fs/zfs-kmod/
Date: Sat,  5 Oct 2024 06:28:09 +0000 (UTC)	[thread overview]
Message-ID: <1728109652.9de7683cf4e8a4bf71d0e4e7df250c729f321af0.sam@gentoo> (raw)

commit:     9de7683cf4e8a4bf71d0e4e7df250c729f321af0
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  5 06:27:32 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Oct  5 06:27:32 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9de7683c

sys-fs/zfs-kmod: add 2.3.0_rc1

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-fs/zfs-kmod/Manifest                  |   2 +
 sys-fs/zfs-kmod/zfs-kmod-2.3.0_rc1.ebuild | 207 ++++++++++++++++++++++++++++++
 2 files changed, 209 insertions(+)

diff --git a/sys-fs/zfs-kmod/Manifest b/sys-fs/zfs-kmod/Manifest
index 07d7c573a713..9b9fdd0b90e2 100644
--- a/sys-fs/zfs-kmod/Manifest
+++ b/sys-fs/zfs-kmod/Manifest
@@ -4,3 +4,5 @@ DIST zfs-2.2.5.tar.gz 33896824 BLAKE2B ec73c866bf931e4af63a35b3e61e1254d681d21aa
 DIST zfs-2.2.5.tar.gz.asc 836 BLAKE2B ae6e47ce82ffda8834047e03f361ca096448f98ea811a09c0c68b202996c613e6524501cda49873acc4bca9f60c298635f89e5d7fe8f00ffa05b192fc98e16ef SHA512 0a397471c3f1ee9675eb9fcd589409c5085f8692930275ea15d92042fadaf1d3772666a3cca5adb1730c953464e0ec00f501cc5333a303d322c636020c2a7060
 DIST zfs-2.2.6.tar.gz 33900138 BLAKE2B 0bbe36df779aaf19460a75725af9c9b13e64e77a6020974ad18d60d9fd52db2ddd6ea98b3e6c7451195bdfb347b8aab51db9b3f9a7c15c77bff47329bbd07dd2 SHA512 c217a3397b67d7239bc30bc492d58fff96bb29c9cf73e390d1787a4fb787cb297557e594a926453fed11faaab80363d40853af271f8ee18ce9a317dfde4c6745
 DIST zfs-2.2.6.tar.gz.asc 836 BLAKE2B db66f3e2e629ab8a344a8e0c2609bcbb98d69d110fc9e064760ee0c5c25cd67421a71764c4b65d7005e8ff66167bf24beb4be2560a47318eabffa888c1539f26 SHA512 d09f343b3acc3a81e96c069072cfb16d0b490ee77562f50e14524faf05560f9e1d1325ec4bc1760c86ed29186d5860d59646d4ea07385ee3b28d879f2374b9b4
+DIST zfs-2.3.0-rc1.tar.gz 33887119 BLAKE2B dd4e159bef6de216cc51c1dd22620e6edb5b7503d95402022d0b9439471fe432181b1e5df2142e63cdac812a74b62657a96573b3bf48ad78bd6fd885a5f8913e SHA512 fe7de046dd48dbb67545726482a501788a1d5601e6e9a17deeb29047946689d9c8deb95f72b2b47c26a205a3c94fa1f0123437479a06b1376b9dac3dd6faf463
+DIST zfs-2.3.0-rc1.tar.gz.asc 195 BLAKE2B f70e6223e94a3f79d6d685b2b06254fba845d79768c82b7a3fedb865b6e6c97499c497def0f4c3e4a2869fed88b0965650ae88d5eb72c0ffaed43c4479d3bf96 SHA512 26b395feaf03e2be20b75ef64e573aa98a0706c46a1eb57503925731bf0cb9bf7fef8a2cdcf163233bccd7da9f5aedc0cae73f0183f39e0f13dcf315b4a5d809

diff --git a/sys-fs/zfs-kmod/zfs-kmod-2.3.0_rc1.ebuild b/sys-fs/zfs-kmod/zfs-kmod-2.3.0_rc1.ebuild
new file mode 100644
index 000000000000..25ff548135e4
--- /dev/null
+++ b/sys-fs/zfs-kmod/zfs-kmod-2.3.0_rc1.ebuild
@@ -0,0 +1,207 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MODULES_INITRAMFS_IUSE=+initramfs
+inherit autotools flag-o-matic linux-mod-r1 multiprocessing
+
+DESCRIPTION="Linux ZFS kernel module for sys-fs/zfs"
+HOMEPAGE="https://github.com/openzfs/zfs"
+
+MODULES_KERNEL_MAX=6.11
+MODULES_KERNEL_MIN=4.18
+
+if [[ ${PV} == 9999 ]] ; then
+	EGIT_REPO_URI="https://github.com/openzfs/zfs.git"
+	inherit git-r3
+	unset MODULES_KERNEL_MAX
+else
+	VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/openzfs.asc
+	inherit verify-sig
+
+	MY_PV=${PV/_rc/-rc}
+	SRC_URI="https://github.com/openzfs/zfs/releases/download/zfs-${MY_PV}/zfs-${MY_PV}.tar.gz"
+	SRC_URI+=" verify-sig? ( https://github.com/openzfs/zfs/releases/download/zfs-${MY_PV}/zfs-${MY_PV}.tar.gz.asc )"
+	S="${WORKDIR}/zfs-${MY_PV}"
+
+	ZFS_KERNEL_COMPAT="${MODULES_KERNEL_MAX}"
+	# Increments minor eg 5.14 -> 5.15, and still supports override.
+	ZFS_KERNEL_DEP="${ZFS_KERNEL_COMPAT_OVERRIDE:-${ZFS_KERNEL_COMPAT}}"
+	ZFS_KERNEL_DEP="${ZFS_KERNEL_DEP%%.*}.$(( ${ZFS_KERNEL_DEP##*.} + 1))"
+
+	if [[ ${PV} != *_rc* ]] ; then
+		KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~riscv ~sparc"
+	fi
+fi
+
+LICENSE="CDDL MIT debug? ( GPL-2+ )"
+SLOT="0/${PVR}"
+IUSE="custom-cflags debug +rootfs"
+RESTRICT="test"
+
+BDEPEND="
+	app-alternatives/awk
+	dev-lang/perl
+"
+
+if [[ ${PV} != 9999 ]] ; then
+	BDEPEND+=" verify-sig? ( sec-keys/openpgp-keys-openzfs )"
+
+	IUSE+=" +dist-kernel-cap"
+	RDEPEND="
+		dist-kernel-cap? ( dist-kernel? (
+			<virtual/dist-kernel-${ZFS_KERNEL_DEP}
+		) )
+	"
+fi
+
+# Used to suggest matching USE, but without suggesting to disable
+PDEPEND="dist-kernel? ( ~sys-fs/zfs-${PV}[dist-kernel] )"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.1.11-gentoo.patch
+)
+
+pkg_pretend() {
+	use rootfs || return 0
+}
+
+pkg_setup() {
+	local CONFIG_CHECK="
+		EFI_PARTITION
+		ZLIB_DEFLATE
+		ZLIB_INFLATE
+		!DEBUG_LOCK_ALLOC
+		!PAX_KERNEXEC_PLUGIN_METHOD_OR
+	"
+	use debug && CONFIG_CHECK+="
+		DEBUG_INFO
+		FRAME_POINTER
+		!DEBUG_INFO_REDUCED
+	"
+	use rootfs && CONFIG_CHECK+="
+		BLK_DEV_INITRD
+		DEVTMPFS
+	"
+
+	kernel_is -lt 5 && CONFIG_CHECK+=" IOSCHED_NOOP"
+
+	if [[ ${PV} != 9999 ]] ; then
+		local kv_major_max kv_minor_max zcompat
+		zcompat="${ZFS_KERNEL_COMPAT_OVERRIDE:-${ZFS_KERNEL_COMPAT}}"
+		kv_major_max="${zcompat%%.*}"
+		zcompat="${zcompat#*.}"
+		kv_minor_max="${zcompat%%.*}"
+		kernel_is -le "${kv_major_max}" "${kv_minor_max}" || die \
+			"Linux ${kv_major_max}.${kv_minor_max} is the latest supported version"
+	fi
+
+	linux-mod-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	# Run unconditionally (bug #792627)
+	eautoreconf
+
+	if [[ ${PV} != 9999 ]] ; then
+		# Set module revision number
+		sed -Ei "s/(Release:.*)1/\1${PR}-gentoo/" META || die
+	fi
+}
+
+src_configure() {
+	use custom-cflags || strip-flags
+	filter-ldflags -Wl,*
+
+	local myconf=(
+		--bindir="${EPREFIX}"/bin
+		--sbindir="${EPREFIX}"/sbin
+		--with-config=kernel
+		--with-linux="${KV_DIR}"
+		--with-linux-obj="${KV_OUT_DIR}"
+		$(use_enable debug)
+
+		# See gentoo.patch
+		GENTOO_MAKEARGS_EVAL="${MODULES_MAKEARGS[*]@Q}"
+		TEST_JOBS="$(makeopts_jobs)"
+	)
+
+	econf "${myconf[@]}"
+}
+
+src_compile() {
+	emake "${MODULES_MAKEARGS[@]}"
+}
+
+src_install() {
+	emake "${MODULES_MAKEARGS[@]}" DESTDIR="${ED}" install
+	modules_post_process
+
+	dodoc AUTHORS COPYRIGHT META README.md
+}
+
+_old_layout_cleanup() {
+	# new files are just extra/{spl,zfs}.ko with no subdirs.
+	local olddir=(
+		avl/zavl
+		icp/icp
+		lua/zlua
+		nvpair/znvpair
+		spl/spl
+		unicode/zunicode
+		zcommon/zcommon
+		zfs/zfs
+		zstd/zzstd
+	)
+
+	# kernel/module/Kconfig contains possible compressed extentions.
+	local kext kextfiles
+		for kext in .ko{,.{gz,xz,zst}}; do
+		kextfiles+=( "${olddir[@]/%/${kext}}" )
+	done
+
+	local oldfile oldpath
+	for oldfile in "${kextfiles[@]}"; do
+		oldpath="${EROOT}/lib/modules/${KV_FULL}/extra/${oldfile}"
+		if [[ -f "${oldpath}" ]]; then
+			ewarn "Found obsolete zfs module ${oldfile} for current kernel ${KV_FULL}, removing."
+			rm -rv "${oldpath}" || die
+			# we do not remove non-empty directories just for safety in case there's something else.
+			# also it may fail if there are both compressed and uncompressed modules installed.
+			rmdir -v --ignore-fail-on-non-empty "${oldpath%/*.*}" || die
+		fi
+	done
+}
+
+pkg_postinst() {
+	# Check for old module layout before doing anything else.
+	# only attempt layout cleanup if new .ko location is used.
+	local newko=( "${EROOT}/lib/modules/${KV_FULL}/extra"/{zfs,spl}.ko* )
+	# We check first array member, if glob above did not exand, it will be "zfs.ko*" and -f will return false.
+	# if glob expanded -f will do correct file precense check.
+	[[ -f ${newko[0]} ]] && _old_layout_cleanup
+
+	linux-mod-r1_pkg_postinst
+
+	if use x86 || use arm ; then
+		ewarn "32-bit kernels will likely require increasing vmalloc to"
+		ewarn "at least 256M and decreasing zfs_arc_max to some value less than that."
+	fi
+
+	if has_version sys-boot/grub ; then
+		ewarn "This version of OpenZFS includes support for new feature flags"
+		ewarn "that are incompatible with previous versions. GRUB2 support for"
+		ewarn "/boot with the new feature flags is not yet available."
+		ewarn "Do *NOT* upgrade root pools to use the new feature flags."
+		ewarn "Any new pools will be created with the new feature flags by default"
+		ewarn "and will not be compatible with older versions of OpenZFS. To"
+		ewarn "create a new pool that is backward compatible wih GRUB2, use "
+		ewarn
+		ewarn "zpool create -o compatibility=grub2 ..."
+		ewarn
+		ewarn "Refer to /usr/share/zfs/compatibility.d/grub2 for list of features."
+	fi
+}


             reply	other threads:[~2024-10-05  6:28 UTC|newest]

Thread overview: 304+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-10-05  6:28 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-22  7:02 [gentoo-commits] repo/gentoo:master commit in: sys-fs/zfs-kmod/ Sam James
2025-01-22  7:02 Sam James
2025-01-14  3:47 Sam James
2025-01-14  2:37 Sam James
2025-01-12 14:49 Sam James
2025-01-12 14:49 Sam James
2025-01-12 14:49 Sam James
2025-01-12 14:49 Sam James
2025-01-12 14:49 Sam James
2025-01-12 14:49 Sam James
2025-01-07  2:35 Sam James
2025-01-07  2:35 Sam James
2025-01-07  2:35 Sam James
2025-01-07  2:35 Sam James
2024-12-30 23:40 Sam James
2024-12-12  3:34 Sam James
2024-12-12  3:34 Sam James
2024-12-07  1:16 Sam James
2024-12-07  1:16 Sam James
2024-12-07  1:16 Sam James
2024-10-05  6:16 Sam James
2024-09-08  6:04 Arthur Zamarin
2024-09-08  6:04 Arthur Zamarin
2024-09-05 13:01 Sam James
2024-08-21 14:34 Sam James
2024-08-21 11:48 Sam James
2024-08-21 11:48 Sam James
2024-08-21 11:48 Sam James
2024-08-10 20:42 Sam James
2024-08-10 20:42 Sam James
2024-05-17 12:07 Andrew Ammerlaan
2024-05-11  2:03 Sam James
2024-05-11  2:03 Sam James
2024-05-11  2:03 Sam James
2024-05-11  2:03 Sam James
2024-05-11  2:03 Sam James
2024-05-11  2:03 Sam James
2024-05-03  4:54 Sam James
2024-05-03  4:54 Sam James
2024-02-29  8:23 Sam James
2024-02-23  6:33 Sam James
2024-01-29 17:17 Sam James
2024-01-22 17:28 Arthur Zamarin
2024-01-22 17:28 Arthur Zamarin
2024-01-22 17:28 Arthur Zamarin
2023-12-28  3:43 Sam James
2023-12-27  6:49 WANG Xuerui
2023-12-27  6:49 WANG Xuerui
2023-12-12  3:57 Sam James
2023-12-12  3:57 Sam James
2023-12-12  3:57 Sam James
2023-12-01  3:26 Sam James
2023-12-01  3:26 Sam James
2023-11-27  0:23 Sam James
2023-11-24 22:13 Sam James
2023-11-22 10:43 Sam James
2023-10-25  2:33 Sam James
2023-10-25  2:33 Sam James
2023-10-25  2:33 Sam James
2023-10-14  1:53 Sam James
2023-10-14  1:53 Sam James
2023-10-14  1:53 Sam James
2023-10-08  1:04 Sam James
2023-09-28  1:18 Sam James
2023-09-13  2:15 Sam James
2023-09-09  1:53 Sam James
2023-08-09  5:56 Sam James
2023-08-09  5:56 Sam James
2023-08-04  0:54 Sam James
2023-08-03 16:20 Sam James
2023-08-03 16:20 Sam James
2023-07-28  1:35 Sam James
2023-07-28  1:35 Sam James
2023-07-23 23:55 Sam James
2023-07-03 21:03 Sam James
2023-06-07  9:52 Sam James
2023-05-31  2:57 Sam James
2023-05-30 11:23 Arthur Zamarin
2023-05-30  2:51 Sam James
2023-05-30  2:51 Sam James
2023-04-20 16:06 Sam James
2023-04-15  0:14 Sam James
2023-04-14 23:52 Sam James
2023-02-23 23:54 Georgy Yakovlev
2023-02-23 22:15 Sam James
2023-02-16  4:47 Sam James
2023-01-27 19:34 Georgy Yakovlev
2023-01-27 19:34 Georgy Yakovlev
2023-01-20 22:28 Sam James
2023-01-13  5:36 Sam James
2023-01-13  5:34 Georgy Yakovlev
2023-01-13  4:33 Georgy Yakovlev
2022-12-08 19:48 Georgy Yakovlev
2022-12-08 19:48 Georgy Yakovlev
2022-12-08 19:14 Georgy Yakovlev
2022-12-08 19:14 Georgy Yakovlev
2022-12-04 20:56 Georgy Yakovlev
2022-12-03 21:59 Georgy Yakovlev
2022-12-03 21:59 Georgy Yakovlev
2022-12-02  2:54 Sam James
2022-12-02  2:51 Sam James
2022-10-28  9:43 Sam James
2022-10-14 12:43 Arthur Zamarin
2022-09-17 22:16 Georgy Yakovlev
2022-09-17 22:16 Georgy Yakovlev
2022-09-17 20:42 Georgy Yakovlev
2022-09-17  4:11 Georgy Yakovlev
2022-09-16 23:12 Georgy Yakovlev
2022-09-02 20:11 Sam James
2022-08-03 18:55 Sam James
2022-08-03  4:35 Sam James
2022-06-22 22:40 Sam James
2022-06-07 18:56 Georgy Yakovlev
2022-05-16  1:20 Georgy Yakovlev
2022-05-05  7:07 Jakov Smolić
2022-04-29 10:21 Sam James
2022-04-26  9:58 Georgy Yakovlev
2022-04-26  6:31 Sam James
2022-04-17 16:44 Sam James
2022-03-24 16:13 John Helmert III
2022-03-11 13:21 Sam James
2022-03-11 12:33 Sam James
2022-03-11 12:07 Sam James
2022-03-11 11:14 Sam James
2022-01-15 22:03 Sam James
2022-01-15 22:03 Sam James
2022-01-15 22:03 Sam James
2021-12-26 23:04 Georgy Yakovlev
2021-12-26 22:35 Georgy Yakovlev
2021-12-25  1:02 Georgy Yakovlev
2021-12-25  1:02 Georgy Yakovlev
2021-12-25  1:02 Georgy Yakovlev
2021-12-23 23:08 Georgy Yakovlev
2021-12-23 23:08 Georgy Yakovlev
2021-12-23 22:28 Georgy Yakovlev
2021-12-23 22:28 Georgy Yakovlev
2021-12-16  2:51 Georgy Yakovlev
2021-12-08  0:16 Georgy Yakovlev
2021-11-28 19:32 Georgy Yakovlev
2021-11-11  2:22 Georgy Yakovlev
2021-11-11  2:22 Georgy Yakovlev
2021-11-07 23:59 Georgy Yakovlev
2021-11-07 23:59 Georgy Yakovlev
2021-11-07 23:59 Georgy Yakovlev
2021-10-07  5:50 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-22  1:19 Sam James
2021-09-18  1:43 Yixun Lan
2021-09-16 22:16 Sam James
2021-09-07 17:32 Mike Gilbert
2021-08-05 23:15 Georgy Yakovlev
2021-07-31 13:40 Michał Górny
2021-07-02 19:30 Georgy Yakovlev
2021-07-02 19:30 Georgy Yakovlev
2021-07-02 19:10 Georgy Yakovlev
2021-07-02  8:31 Georgy Yakovlev
2021-07-02  8:31 Georgy Yakovlev
2021-07-02  8:31 Georgy Yakovlev
2021-07-02  7:02 Sam James
2021-07-02  7:02 Sam James
2021-06-24  2:28 Georgy Yakovlev
2021-06-11  2:07 Sam James
2021-06-11  2:07 Sam James
2021-06-11  2:07 Sam James
2021-06-09  5:20 Georgy Yakovlev
2021-06-09  5:20 Georgy Yakovlev
2021-05-30  7:33 Georgy Yakovlev
2021-05-28 20:08 Sam James
2021-05-28 20:08 Sam James
2021-05-21 16:22 Georgy Yakovlev
2021-05-11  6:11 Georgy Yakovlev
2021-05-11  6:08 Georgy Yakovlev
2021-05-11  6:08 Georgy Yakovlev
2021-05-11  5:49 Georgy Yakovlev
2021-05-02 16:45 Georgy Yakovlev
2021-04-23 13:33 Sam James
2021-04-23 13:33 Sam James
2021-04-19  0:18 Sam James
2021-04-08 15:41 Georgy Yakovlev
2021-04-02 10:03 Georgy Yakovlev
2021-03-09 21:08 Georgy Yakovlev
2021-03-09 21:08 Georgy Yakovlev
2021-03-09 10:12 Sam James
2021-03-04  4:22 Sam James
2021-03-01 10:59 Sam James
2021-02-11 23:49 Georgy Yakovlev
2021-02-11 23:49 Georgy Yakovlev
2021-02-11 23:49 Georgy Yakovlev
2021-02-02 23:52 Georgy Yakovlev
2021-01-13 11:54 Michał Górny
2021-01-12 19:28 Georgy Yakovlev
2021-01-12 19:28 Georgy Yakovlev
2021-01-07 18:51 Georgy Yakovlev
2021-01-07 18:51 Georgy Yakovlev
2020-12-15 10:22 Georgy Yakovlev
2020-12-15 10:22 Georgy Yakovlev
2020-12-01 19:04 Georgy Yakovlev
2020-12-01 19:04 Georgy Yakovlev
2020-11-25 18:57 Georgy Yakovlev
2020-11-14  3:28 Georgy Yakovlev
2020-11-12 20:20 Georgy Yakovlev
2020-11-06  2:45 Georgy Yakovlev
2020-11-03 20:07 Georgy Yakovlev
2020-11-03 20:07 Georgy Yakovlev
2020-11-03 20:07 Georgy Yakovlev
2020-10-22  2:41 Georgy Yakovlev
2020-10-22  2:35 Georgy Yakovlev
2020-10-16 17:36 Georgy Yakovlev
2020-10-07  0:00 Georgy Yakovlev
2020-10-07  0:00 Georgy Yakovlev
2020-10-01 22:31 Georgy Yakovlev
2020-09-21 22:51 Georgy Yakovlev
2020-09-18 21:59 Georgy Yakovlev
2020-08-27  8:24 Georgy Yakovlev
2020-08-27  8:24 Georgy Yakovlev
2020-08-27  0:34 Georgy Yakovlev
2020-08-27  0:34 Georgy Yakovlev
2020-08-26 22:51 Georgy Yakovlev
2020-08-26 22:51 Georgy Yakovlev
2020-08-25 22:41 Georgy Yakovlev
2020-08-25 22:41 Georgy Yakovlev
2020-08-25 22:30 Georgy Yakovlev
2020-08-21  6:31 Georgy Yakovlev
2020-08-21  6:31 Georgy Yakovlev
2020-08-08 12:18 Mikle Kolyada
2020-07-13 15:47 Matthew Thode
2020-06-10 21:52 Richard Yao
2020-06-10 21:49 Richard Yao
2020-06-10 21:49 Richard Yao
2020-06-10 21:49 Richard Yao
2020-05-15  3:50 Georgy Yakovlev
2020-05-15  3:50 Georgy Yakovlev
2020-05-12 22:44 Georgy Yakovlev
2020-05-06  3:03 Georgy Yakovlev
2020-04-14 23:03 Georgy Yakovlev
2020-03-30 21:08 Georgy Yakovlev
2020-01-24  7:05 Georgy Yakovlev
2020-01-24  7:05 Georgy Yakovlev
2020-01-24  7:05 Georgy Yakovlev
2020-01-21 19:01 Georgy Yakovlev
2019-12-06 21:52 Georgy Yakovlev
2019-12-06 21:48 Georgy Yakovlev
2019-11-26 20:32 Georgy Yakovlev
2019-11-26 20:32 Georgy Yakovlev
2019-09-27 19:16 Georgy Yakovlev
2019-09-12 21:50 Georgy Yakovlev
2019-08-18  5:57 Georgy Yakovlev
2019-08-14  6:05 Georgy Yakovlev
2019-08-14  6:05 Georgy Yakovlev
2019-08-04  8:41 Georgy Yakovlev
2019-06-23  8:00 Georgy Yakovlev
2019-06-14 22:07 Georgy Yakovlev
2019-06-03  3:11 Georgy Yakovlev
2019-05-29 22:15 Georgy Yakovlev
2019-05-23 19:30 Georgy Yakovlev
2019-05-23 18:43 Georgy Yakovlev
2019-05-19  3:40 Georgy Yakovlev
2019-05-17 21:16 Georgy Yakovlev
2019-05-17 21:16 Georgy Yakovlev
2019-05-16 12:30 Georgy Yakovlev
2019-05-11 20:11 Georgy Yakovlev
2019-05-10  0:19 Georgy Yakovlev
2019-05-10  0:19 Georgy Yakovlev
2019-04-18 21:34 Georgy Yakovlev
2019-03-31  3:53 Georgy Yakovlev
2019-03-09  2:12 Richard Yao
2019-03-05  4:29 Georgy Yakovlev
2019-02-20 20:25 Georgy Yakovlev
2019-02-18  3:25 Georgy Yakovlev
2018-11-22 22:24 Georgy Yakovlev
2018-11-22 22:24 Georgy Yakovlev
2018-07-27 19:33 Georgy Yakovlev
2018-07-27 19:33 Georgy Yakovlev
2018-07-27 19:33 Georgy Yakovlev
2018-06-18 21:16 Georgy Yakovlev
2018-05-31 16:08 Richard Yao
2018-05-31 15:05 Richard Yao
2018-04-01 16:10 Aaron Bauman
2018-02-14 21:01 Matt Thode
2017-10-22 13:57 Patrick Lauer
2017-08-12 14:12 Jonathan Vasquez
2017-07-30  9:23 Michał Górny
2017-07-27 12:41 Jonathan Vasquez
2017-07-11  1:54 Jonathan Vasquez
2017-06-15  2:03 Jonathan Vasquez
2017-04-22 19:25 Richard Yao
2017-02-07  0:56 Jonathan Vasquez
2016-10-10  2:15 Yixun Lan
2016-06-22  6:13 Yixun Lan
2016-02-09  3:08 Jason Zaman
2016-01-27 22:06 Richard Yao
2016-01-27 21:41 Richard Yao
2016-01-16 19:06 Richard Yao
2015-12-03 18:39 Richard Yao
2015-11-27 21:14 Richard Yao
2015-10-23 20:46 Jason Zaman
2015-10-23 20:34 Jason Zaman
2015-10-09 17:01 Jason Zaman
2015-10-09 15:40 Richard Yao

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1728109652.9de7683cf4e8a4bf71d0e4e7df250c729f321af0.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox